podman-restart(1)

NAME
podman-restart - Restart one or more containers

SYNOPSIS
podman restart [options] container ...

podman container restart [options] container ...

DESCRIPTION
The restart command allows containers to be restarted using their ID or name. Running containers are stopped and restarted. Stopped containers are started.

OPTIONS

  --all, -a
Restart all containers regardless of their current state.

  --cidfile
Read container ID from the specified file and restart the container. Can be specified multiple times.

  --filter, -f=filter
Filter what containers restart. Multiple filters can be given with multiple uses of the --filter flag. Filters with the same key work inclusive with the only exception being label which is exclusive. Filters with different keys always work exclusive.

Valid filters are listed below:
Filter | Description
id | [ID] Container's ID (CID prefix match by default; accepts regex)
name | [Name] Container's name (accepts regex)
annotation | [Key] or [Key=Value] Annotation assigned to a container
annotation! | [Key] or [Key=Value] Annotation NOT assigned to a container
label | [Key] or [Key=Value] Label assigned to a container
label! | [Key] or [Key=Value] Label NOT assigned to a container
exited | [Int] Container's exit code
status | [Status] Container's status: 'created', 'initialized', 'running', 'stopped', 'paused', 'exited', 'removing', 'stopping', 'unknown'
ancestor | [ImageName] Image or descendant used to create container (accepts regex)
before | [ID] or [Name] Containers created before this container
since | [ID] or [Name] Containers created since this container
volume | [VolumeName] or [MountpointDestination] Volume mounted in container
health | [Status] healthy or unhealthy
pod | [Pod] name or full or partial ID of pod
network | [Network] name or full ID of network
restart-policy | [Policy] Container's restart policy (e.g., 'no', 'on-failure', 'always', 'unless-stopped')
until | [DateTime] Containers created before the given duration or time.
command | [Command] the command the container is executing, only argv[0] is taken
should-start-on-boot | [Bool] Containers that need to be restarted after system reboot. True for containers with restart policy 'always', or 'unless-stopped' that were not explicitly stopped by the user

  --latest, -l
Instead of providing the container name or ID, use the last created container. Note: the last started container can be from other users of Podman on the host machine. (This option is not available with the remote Podman client, including Mac and Windows (excluding WSL2) machines)

  --running
Restart all containers that are already in the running state.

  --time, -t=seconds
Seconds to wait before forcibly stopping the container. Use -1 for infinite wait.

EXAMPLES
Restart the latest container.
    $ podman restart -l
    ec588fc80b05e19d3006bf2e8aa325f0a2e2ff1f609b7afb39176ca8e3e13467

Restart a specific container by partial container ID.
    $ podman restart ff6cf1
    ff6cf1e5e77e6dba1efc7f3fcdb20e8b89ad8947bc0518be1fcb2c78681f226f

Restart two containers by name with a timeout of 4 seconds.
    $ podman restart --time 4 test1 test2
    c3bb026838c30e5097f079fa365c9a4769d52e1017588278fa00d5c68ebc1502
    17e13a63081a995136f907024bcfe50ff532917988a152da229db9d894c5a9ec

Restart all running containers.
    $ podman restart --running

Restart all containers.
    $ podman restart --all

Restart container using ID specified in a given files.
    $ podman restart --cidfile /home/user/cidfile-1
    $ podman restart --cidfile /home/user/cidfile-1 --cidfile ./cidfile-2

Restart container by name.
    $ podman restart --filter name=id-name-test

Restart container by label.
    $ podman restart --filter label=app=label-test

Restart container by exit code.
    $ podman restart --filter exited=0

Restart container by status.
    $ podman restart --filter status=running

Restart container by ancestor image.
    $ podman restart --filter ancestor=nginx

Restart containers created before another.
    $ podman restart --filter before=second

Restart containers created since another.
    $ podman restart --filter since=first

Restart container by volume.
    $ podman restart --filter volume=vol-filter

Restart containers in a pod.
    $ podman restart --filter pod=mypod

Restart container by network.
    $ podman restart --filter network=net-filter

Restart containers created until time.
    $ podman restart --filter until=10s

SEE ALSO
podman(1)(podman.1.md)

HISTORY
March 2018, Originally compiled by Matt Heon mheon@redhat.com ⟨mailto:mheon@redhat.com⟩